

import flash.events.Event;
import flash.events.EventDispatcher;
import flash.events.IEventDispatcher;
import mx.core.IPropertyChangeNotifier;
import mx.events.PropertyChangeEvent;
import mx.utils.ObjectProxy;
import mx.utils.UIDUtil;

import mx.controls.MenuBar;
import screens.*;

class BindableProperty
{
	/*
	 * generated bindable wrapper for property isSelectedSupplier (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'isSelectedSupplier' moved to '_855786193isSelectedSupplier'
	 */

    [Bindable(event="propertyChange")]
    public function get isSelectedSupplier():Boolean
    {
        return this._855786193isSelectedSupplier;
    }

    public function set isSelectedSupplier(value:Boolean):void
    {
    	var oldValue:Object = this._855786193isSelectedSupplier;
        if (oldValue !== value)
        {
            this._855786193isSelectedSupplier = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "isSelectedSupplier", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property menuExportEnabled (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'menuExportEnabled' moved to '_1036732878menuExportEnabled'
	 */

    [Bindable(event="propertyChange")]
    public function get menuExportEnabled():Boolean
    {
        return this._1036732878menuExportEnabled;
    }

    public function set menuExportEnabled(value:Boolean):void
    {
    	var oldValue:Object = this._1036732878menuExportEnabled;
        if (oldValue !== value)
        {
            this._1036732878menuExportEnabled = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "menuExportEnabled", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property supplierMaintenanceScreenMenuBar (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'supplierMaintenanceScreenMenuBar' moved to '_246132287supplierMaintenanceScreenMenuBar'
	 */

    [Bindable(event="propertyChange")]
    public function get supplierMaintenanceScreenMenuBar():MenuBar
    {
        return this._246132287supplierMaintenanceScreenMenuBar;
    }

    public function set supplierMaintenanceScreenMenuBar(value:MenuBar):void
    {
    	var oldValue:Object = this._246132287supplierMaintenanceScreenMenuBar;
        if (oldValue !== value)
        {
            this._246132287supplierMaintenanceScreenMenuBar = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "supplierMaintenanceScreenMenuBar", oldValue, value));
        }
    }



}
