

import flash.events.Event;
import flash.events.EventDispatcher;
import flash.events.IEventDispatcher;
import mx.core.IPropertyChangeNotifier;
import mx.events.PropertyChangeEvent;
import mx.utils.ObjectProxy;
import mx.utils.UIDUtil;

import mx.collections.XMLListCollection;
import screens.*;

class BindableProperty
{
	/*
	 * generated bindable wrapper for property isSelectedSupplier (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'isSelectedSupplier' moved to '_855786193isSelectedSupplier'
	 */

    [Bindable(event="propertyChange")]
    public function get isSelectedSupplier():Boolean
    {
        return this._855786193isSelectedSupplier;
    }

    public function set isSelectedSupplier(value:Boolean):void
    {
    	var oldValue:Object = this._855786193isSelectedSupplier;
        if (oldValue !== value)
        {
            this._855786193isSelectedSupplier = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "isSelectedSupplier", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property menuExportEnabled (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'menuExportEnabled' moved to '_1036732878menuExportEnabled'
	 */

    [Bindable(event="propertyChange")]
    public function get menuExportEnabled():Boolean
    {
        return this._1036732878menuExportEnabled;
    }

    public function set menuExportEnabled(value:Boolean):void
    {
    	var oldValue:Object = this._1036732878menuExportEnabled;
        if (oldValue !== value)
        {
            this._1036732878menuExportEnabled = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "menuExportEnabled", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property messages (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'messages' moved to '_462094004messages'
	 */

    [Bindable(event="propertyChange")]
    public function get messages():String
    {
        return this._462094004messages;
    }

    public function set messages(value:String):void
    {
    	var oldValue:Object = this._462094004messages;
        if (oldValue !== value)
        {
            this._462094004messages = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "messages", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property menuBarCollection (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'menuBarCollection' moved to '_226797582menuBarCollection'
	 */

    [Bindable(event="propertyChange")]
    public function get menuBarCollection():XMLListCollection
    {
        return this._226797582menuBarCollection;
    }

    public function set menuBarCollection(value:XMLListCollection):void
    {
    	var oldValue:Object = this._226797582menuBarCollection;
        if (oldValue !== value)
        {
            this._226797582menuBarCollection = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "menuBarCollection", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property authentificated (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'authentificated' moved to '_960838964authentificated'
	 */

    [Bindable(event="propertyChange")]
    public function get authentificated():Boolean
    {
        return this._960838964authentificated;
    }

    public function set authentificated(value:Boolean):void
    {
    	var oldValue:Object = this._960838964authentificated;
        if (oldValue !== value)
        {
            this._960838964authentificated = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "authentificated", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property menubarXML (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'menubarXML' moved to '_16364253menubarXML'
	 */

    [Bindable(event="propertyChange")]
    public function get menubarXML():XMLList
    {
        return this._16364253menubarXML;
    }

    public function set menubarXML(value:XMLList):void
    {
    	var oldValue:Object = this._16364253menubarXML;
        if (oldValue !== value)
        {
            this._16364253menubarXML = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "menubarXML", oldValue, value));
        }
    }



}
