

import flash.events.Event;
import flash.events.EventDispatcher;
import flash.events.IEventDispatcher;
import mx.core.IPropertyChangeNotifier;
import mx.events.PropertyChangeEvent;
import mx.utils.ObjectProxy;
import mx.utils.UIDUtil;

import grids.*;
import mx.collections.*;
import mx.controls.TextInput;
import mx.controls.Label;
import mx.rpc.remoting.RemoteObject;

class BindableProperty
{
	/*
	 * generated bindable wrapper for property user (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'user' moved to '_3599307user'
	 */

    [Bindable(event="propertyChange")]
    public function get user():User
    {
        return this._3599307user;
    }

    public function set user(value:User):void
    {
    	var oldValue:Object = this._3599307user;
        if (oldValue !== value)
        {
            this._3599307user = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "user", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property userNameTextInput (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'userNameTextInput' moved to '_814436793userNameTextInput'
	 */

    [Bindable(event="propertyChange")]
    public function get userNameTextInput():TextInput
    {
        return this._814436793userNameTextInput;
    }

    public function set userNameTextInput(value:TextInput):void
    {
    	var oldValue:Object = this._814436793userNameTextInput;
        if (oldValue !== value)
        {
            this._814436793userNameTextInput = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "userNameTextInput", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property passwordTextInput (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'passwordTextInput' moved to '_1096779198passwordTextInput'
	 */

    [Bindable(event="propertyChange")]
    public function get passwordTextInput():TextInput
    {
        return this._1096779198passwordTextInput;
    }

    public function set passwordTextInput(value:TextInput):void
    {
    	var oldValue:Object = this._1096779198passwordTextInput;
        if (oldValue !== value)
        {
            this._1096779198passwordTextInput = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "passwordTextInput", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property result (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'result' moved to '_934426595result'
	 */

    [Bindable(event="propertyChange")]
    public function get result():Label
    {
        return this._934426595result;
    }

    public function set result(value:Label):void
    {
    	var oldValue:Object = this._934426595result;
        if (oldValue !== value)
        {
            this._934426595result = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "result", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property authentification (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'authentification' moved to '_278767483authentification'
	 */

    [Bindable(event="propertyChange")]
    public function get authentification():RemoteObject
    {
        return this._278767483authentification;
    }

    public function set authentification(value:RemoteObject):void
    {
    	var oldValue:Object = this._278767483authentification;
        if (oldValue !== value)
        {
            this._278767483authentification = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "authentification", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property arrayGrid (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'arrayGrid' moved to '_1425302209arrayGrid'
	 */

    [Bindable(event="propertyChange")]
    public function get arrayGrid():ArrayCollection
    {
        return this._1425302209arrayGrid;
    }

    public function set arrayGrid(value:ArrayCollection):void
    {
    	var oldValue:Object = this._1425302209arrayGrid;
        if (oldValue !== value)
        {
            this._1425302209arrayGrid = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "arrayGrid", oldValue, value));
        }
    }



}
