

import flash.events.Event;
import flash.events.EventDispatcher;
import flash.events.IEventDispatcher;
import mx.core.IPropertyChangeNotifier;
import mx.events.PropertyChangeEvent;
import mx.utils.ObjectProxy;
import mx.utils.UIDUtil;

import mx.containers.Canvas;
import mx.collections.XMLListCollection;
import mx.containers.ViewStack;
import screens.*;
import spark.components.NavigatorContent;
import spark.components.Button;

class BindableProperty
{
	/*
	 * generated bindable wrapper for property isSelectedSupplier (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'isSelectedSupplier' moved to '_855786193isSelectedSupplier'
	 */

    [Bindable(event="propertyChange")]
    public function get isSelectedSupplier():Boolean
    {
        return this._855786193isSelectedSupplier;
    }

    public function set isSelectedSupplier(value:Boolean):void
    {
    	var oldValue:Object = this._855786193isSelectedSupplier;
        if (oldValue !== value)
        {
            this._855786193isSelectedSupplier = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "isSelectedSupplier", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property menuExportEnabled (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'menuExportEnabled' moved to '_1036732878menuExportEnabled'
	 */

    [Bindable(event="propertyChange")]
    public function get menuExportEnabled():Boolean
    {
        return this._1036732878menuExportEnabled;
    }

    public function set menuExportEnabled(value:Boolean):void
    {
    	var oldValue:Object = this._1036732878menuExportEnabled;
        if (oldValue !== value)
        {
            this._1036732878menuExportEnabled = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "menuExportEnabled", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property messages (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'messages' moved to '_462094004messages'
	 */

    [Bindable(event="propertyChange")]
    public function get messages():String
    {
        return this._462094004messages;
    }

    public function set messages(value:String):void
    {
    	var oldValue:Object = this._462094004messages;
        if (oldValue !== value)
        {
            this._462094004messages = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "messages", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property menuBarCollection (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'menuBarCollection' moved to '_226797582menuBarCollection'
	 */

    [Bindable(event="propertyChange")]
    public function get menuBarCollection():XMLListCollection
    {
        return this._226797582menuBarCollection;
    }

    public function set menuBarCollection(value:XMLListCollection):void
    {
    	var oldValue:Object = this._226797582menuBarCollection;
        if (oldValue !== value)
        {
            this._226797582menuBarCollection = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "menuBarCollection", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property authentificated (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'authentificated' moved to '_960838964authentificated'
	 */

    [Bindable(event="propertyChange")]
    public function get authentificated():Boolean
    {
        return this._960838964authentificated;
    }

    public function set authentificated(value:Boolean):void
    {
    	var oldValue:Object = this._960838964authentificated;
        if (oldValue !== value)
        {
            this._960838964authentificated = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "authentificated", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property myViewStack (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'myViewStack' moved to '_182637929myViewStack'
	 */

    [Bindable(event="propertyChange")]
    public function get myViewStack():ViewStack
    {
        return this._182637929myViewStack;
    }

    public function set myViewStack(value:ViewStack):void
    {
    	var oldValue:Object = this._182637929myViewStack;
        if (oldValue !== value)
        {
            this._182637929myViewStack = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "myViewStack", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property custInfo (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'custInfo' moved to '_605044129custInfo'
	 */

    [Bindable(event="propertyChange")]
    public function get custInfo():Canvas
    {
        return this._605044129custInfo;
    }

    public function set custInfo(value:Canvas):void
    {
    	var oldValue:Object = this._605044129custInfo;
        if (oldValue !== value)
        {
            this._605044129custInfo = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "custInfo", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property searchButton (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'searchButton' moved to '_365389062searchButton'
	 */

    [Bindable(event="propertyChange")]
    public function get searchButton():Button
    {
        return this._365389062searchButton;
    }

    public function set searchButton(value:Button):void
    {
    	var oldValue:Object = this._365389062searchButton;
        if (oldValue !== value)
        {
            this._365389062searchButton = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "searchButton", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property menubarXML (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'menubarXML' moved to '_16364253menubarXML'
	 */

    [Bindable(event="propertyChange")]
    public function get menubarXML():XMLList
    {
        return this._16364253menubarXML;
    }

    public function set menubarXML(value:XMLList):void
    {
    	var oldValue:Object = this._16364253menubarXML;
        if (oldValue !== value)
        {
            this._16364253menubarXML = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "menubarXML", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property viewStackScreen (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'viewStackScreen' moved to '_1118491345viewStackScreen'
	 */

    [Bindable(event="propertyChange")]
    public function get viewStackScreen():ViewStack
    {
        return this._1118491345viewStackScreen;
    }

    public function set viewStackScreen(value:ViewStack):void
    {
    	var oldValue:Object = this._1118491345viewStackScreen;
        if (oldValue !== value)
        {
            this._1118491345viewStackScreen = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "viewStackScreen", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property supplierMaintenanceMainChildScreen (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'supplierMaintenanceMainChildScreen' moved to '_917236872supplierMaintenanceMainChildScreen'
	 */

    [Bindable(event="propertyChange")]
    public function get supplierMaintenanceMainChildScreen():NavigatorContent
    {
        return this._917236872supplierMaintenanceMainChildScreen;
    }

    public function set supplierMaintenanceMainChildScreen(value:NavigatorContent):void
    {
    	var oldValue:Object = this._917236872supplierMaintenanceMainChildScreen;
        if (oldValue !== value)
        {
            this._917236872supplierMaintenanceMainChildScreen = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "supplierMaintenanceMainChildScreen", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property supplierMaintenanceAssociationChildScreen (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'supplierMaintenanceAssociationChildScreen' moved to '_179131410supplierMaintenanceAssociationChildScreen'
	 */

    [Bindable(event="propertyChange")]
    public function get supplierMaintenanceAssociationChildScreen():NavigatorContent
    {
        return this._179131410supplierMaintenanceAssociationChildScreen;
    }

    public function set supplierMaintenanceAssociationChildScreen(value:NavigatorContent):void
    {
    	var oldValue:Object = this._179131410supplierMaintenanceAssociationChildScreen;
        if (oldValue !== value)
        {
            this._179131410supplierMaintenanceAssociationChildScreen = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "supplierMaintenanceAssociationChildScreen", oldValue, value));
        }
    }



}
