package 
{

import mx.resources.ResourceBundle;

[ExcludeClass]

public class en_US$messaging_properties extends ResourceBundle
{

    public function en_US$messaging_properties()
    {
		 super("en_US", "messaging");
    }

    override protected function getContent():Object
    {
        var content:Object =
        {
            "httpRequestError.details": "Error: {0}",
            "errorReadingIExternalizable": "Error encountered while reading IExternalizable. {0}",
            "couldNotLoadCache": "The cache could not be loaded into the message store.",
            "cannotRemoveWhenConfigured": "Channels cannot be removed from a ChannelSet that targets a configured destination.",
            "deliveryInDoubt.details": "Channel disconnected before an acknowledgement was received",
            "requestTimedOut": "Request timed out",
            "securityError": "Security error accessing url",
            "invalidURL": "Invalid URL",
            "messageQueueFailedInitialize": "Message store initialization failed.",
            "noErrorForMessage.details": "Was expecting message '{0}' but received '{1}'.",
            "couldNotSaveCache": "The cache could not be saved.",
            "unknownChannelWithId": "Channel '{0}' does not exist in the configuration.",
            "producerConnectError": "Producer connect error",
            "noAckMessage.details": "Was expecting mx.messaging.messages.AcknowledgeMessage, but received {0}",
            "destinationNotSet": "The MessageAgent's destination must be set to send messages.",
            "requestTimedOut.details": "The request timeout for the sent message was reached without receiving a response from the server.",
            "couldNotRemoveMessageFromQueue": "The message could not be removed from the message store before being sent.",
            "unknownReference": "Unknown reference {0}",
            "noDestinationSpecified": "A destination name must be specified.",
            "wrongMessageQueueForProducerDetails": "The message did not come from the message store associated with this producer.",
            "emptySessionClientId": "Session clientId's must be non-zero in length.",
            "unknownTraitReference": "Unknown trait reference {0}",
            "producerSendErrorDetails": "The producer is not connected and the message cannot be sent.",
            "connectTimedOut": "Connect attempt timed out.",
            "httpRequestError": "HTTP request error",
            "noErrorForMessage": "Didn't receive an error for message",
            "pollingNotSupportedAMF": "StreamingAMFChannel does not support polling. ",
            "pollingNotSupportedHTTP": "StreamingHTTPChannel does not support polling. ",
            "noAvailableChannels": "No Channels are available for use.",
            "ackFailed.details": "Was expecting message '{0}' but received '{1}'.",
            "couldNotLoadCacheIds": "The list of cache ids could not be loaded.",
            "noAMFXBody": "Invalid AMFX packet. Could not find message body",
            "couldNotClearCache": "The cache could not be cleared.",
            "unknownDestination": "Unknown destination '{0}'.",
            "invalidRequestMethod": "Invalid method specified.",
            "failedToSubscribe": "The consumer was not able to subscribe to its target destination.",
            "destinationWithInvalidMessageType": "Destination '{0}' cannot service messages of type '{1}'.",
            "couldNotAddMessageToQueue": "The message store could not store the message and the producer is not connected. The FaultEvent dispatched by the message store provides additional information.",
            "unsupportedAMFXVersion": "Unsupported AMFX version: {0}",
            "producerSendError": "Send failed",
            "noURLSpecified": "No url was specified for the channel.",
            "cannotAddWhenConfigured": "Channels cannot be added to a ChannelSet that targets a configured destination.",
            "unknownChannelClass": "The channel class '{0}' specified was not found.",
            "pollingIntervalNonPositive": "Channel pollingInterval may only be set to a positive value.",
            "cannotAddNullIdChannelWhenClustered": "Cannot add a channel with null id to ChannelSet when its clustered property is true.",
            "securityError.details": "Destination: {0}",
            "referenceMissingId": "A reference must have an id.",
            "sendFailed": "Send failed",
            "lsoStorageNotAllowed": "The message store cannot initialize because local storage is not allowed. Please ensure that local storage is enabled for the Flash Player and that sufficient storage space is configured.",
            "ackFailed": "Didn't receive an acknowledgement of message",
            "cannotSetClusteredWithdNullChannelIds": "Cannot change clustered property of ChannelSet to true when it contains channels with null ids. ",
            "cannotConnectToDestination": "No connection could be made to the message destination.",
            "reconnectIntervalNegative": "reconnectInterval cannot take a negative value.",
            "noURIAllowed": "Error for DirectHTTPChannel. No URI can be specified.",
            "messageQueueSendError": "Send failed",
            "noServiceForMessageType": "No service is configured to handle messages of type '{0}'.",
            "AMFXTraitsNotFirst": "Invalid object. A single set of traits must be supplied as the first entry in an object.",
            "consumerSubscribeError": "Consumer subscribe error",
            "noChannelForDestination": "Destination '{0}' either does not exist or the destination has no channels defined (and the application does not define any default channels.)",
            "emptyDestinationName": "'{0}' is not a valid destination.",
            "failedToConnect": "The producer was not able to connect to its target destination.",
            "noAMFXNode": "Invalid AMFX packet. Content must start with an <amfx> node",
            "resubscribeIntervalNegative": "resubscribeInterval cannot take a negative value.",
            "noAckMessage": "Didn't receive an acknowledge message",
            "pollingRequestNotAllowed": "Poll request made on '{0}' when polling is not enabled.",
            "queuedMessagesNotAllowedDetails": "This producer does not have an assigned message queue so queued messages cannot be sent.",
            "unknownStringReference": "Unknown string reference {0}",
            "authenticationNotSupported": "Authentication not supported on DirectHTTPChannel (no proxy).",
            "deliveryInDoubt": "Channel disconnected",
            "messageQueueNotInitialized": "The message store has not been initialized.",
            "notImplementingIExternalizable": "Class {0} must implement flash.util.IExternalizable.",
            "receivedNull": "Received null.",
            "unknownDestinationForService": "Unknown destination '{1}' for service with id '{0}'."
        };
        return content;
    }
}



import mx.resources.ResourceBundle;

[ExcludeClass]

public class es_ES$messaging_properties extends ResourceBundle
{

    public function es_ES$messaging_properties()
    {
		 super("es_ES", "messaging");
    }

    override protected function getContent():Object
    {
        var content:Object =
        {
            "httpRequestError.details": "Error: {0}",
            "errorReadingIExternalizable": "Error al leer IExternalizable. {0}",
            "couldNotLoadCache": "No se pudo cargar la memoria caché en el almacén de mensajes.",
            "cannotRemoveWhenConfigured": "No se pueden quitar canales de un ChannelSet cuyo objetivo es un destino configurado.",
            "deliveryInDoubt.details": "Canal desconectado antes de que se recibiera la confirmación",
            "requestTimedOut": "Agotado el tiempo de espera de la solicitud.",
            "securityError": "Error de seguridad al obtener acceso a la dirección URL",
            "invalidURL": "Dirección URL no válida",
            "messageQueueFailedInitialize": "Error de inicialización del almacén de mensajes.",
            "noErrorForMessage.details": "Se esperaba el mensaje ‘{0}’ pero se recibió '{1}'.",
            "couldNotSaveCache": "No se ha podido guardar la memoria caché.",
            "unknownChannelWithId": "El canal ‘{0}’ no existe en la configuración.",
            "producerConnectError": "Error de conexión del productor",
            "noAckMessage.details": "Se esperaba mx.messaging.messages.AcknowledgeMessage, pero se recibió {0}",
            "destinationNotSet": "El destino de MessageAgent se debe establecer en enviar mensajes.",
            "requestTimedOut.details": "Se agotó el tiempo de espera de la solicitud del mensaje enviado sin recibir respuesta del servidor.",
            "couldNotRemoveMessageFromQueue": "No se pudo quitar el mensaje del almacén de mensajes antes de enviarse.",
            "unknownReference": "Referencia {0} desconocida",
            "noDestinationSpecified": "Se debe especificar un nombre de destino.",
            "wrongMessageQueueForProducerDetails": "El mensaje no procedía del almacén de mensajes asociado a este productor.",
            "emptySessionClientId": "La longitud de clientId de sesión no debe ser cero.",
            "unknownTraitReference": "Referencia de característica {0} desconocida",
            "producerSendErrorDetails": "El productor no está conectado y no se puede enviar el mensaje.",
            "connectTimedOut": "Agotado el tiempo de espera del intento de conexión.",
            "httpRequestError": "Error de solicitud http",
            "noErrorForMessage": "No se ha recibido ningún error del mensaje",
            "pollingNotSupportedAMF": "StreamingAMFChannel no admite sondeo. ",
            "pollingNotSupportedHTTP": "StreamingHTTPChannel no admite sondeo. ",
            "noAvailableChannels": "No existen canales disponibles que usar.",
            "ackFailed.details": "Se esperaba el mensaje ‘{0}’ pero se recibió '{1}'.",
            "couldNotLoadCacheIds": "No se pudo cargar la lista de id. de memoria caché.",
            "noAMFXBody": "Paquete AMFX no válido. No se pudo encontrar el texto principal del mensaje",
            "couldNotClearCache": "No se ha podido borrar la memoria caché.",
            "unknownDestination": "Destino desconocido ‘{0}’.",
            "invalidRequestMethod": "Método especificado no válido.",
            "failedToSubscribe": "El usuario no se pudo suscribir con su destino.",
            "destinationWithInvalidMessageType": "Destino ‘{0}’ no puede atender mensajes de tipo '{1}'.",
            "couldNotAddMessageToQueue": "El almacén de mensajes no pudo almacenar el mensaje y el productor no está conectado. FaultEvent enviado por el almacén de mensajes proporciona información adicional.",
            "unsupportedAMFXVersion": "Versión AMFX no admitida: {0}",
            "producerSendError": "Error de envío",
            "noURLSpecified": "No se especificó ninguna dirección url para el canal.",
            "cannotAddWhenConfigured": "No se pueden agregar canales a un ChannelSet cuyo objetivo es un destino configurado.",
            "unknownChannelClass": "No se encontró la clase de canal ‘{0}’ especificada.",
            "pollingIntervalNonPositive": "El valor de pollingInterval del canal sólo se puede establecer en un valor positivo.",
            "cannotAddNullIdChannelWhenClustered": "No se puede agregar ningún canal cuyo valor de id. sea null en ChannelSet cuando el valor de su propiedad agrupada es true.",
            "securityError.details": "Destino: {0}",
            "referenceMissingId": "Una referencia debe tener un id.",
            "sendFailed": "Error de envío",
            "lsoStorageNotAllowed": "No se puede inicializar el almacén de mensajes porque no se permite el almacenamiento local. Asegúrese de que está activado el almacenamiento local de Flash Player y de que el espacio para almacenamiento configurado es suficiente .",
            "ackFailed": "No se ha recibido ninguna confirmación del mensaje",
            "cannotSetClusteredWithdNullChannelIds": "No se puede cambiar el valor de la propiedad agrupada de ChannelSet a true cuando contiene canales cuyos valores de id. son null. ",
            "cannotConnectToDestination": "No se pudo establecer ninguna conexión con el destino del mensaje.",
            "reconnectIntervalNegative": "reconnectInterval no puede tomar un valor negativo.",
            "noURIAllowed": "Error de DirectHTTPChannel. No se puede especificar ningún URI.",
            "messageQueueSendError": "Error de envío",
            "noServiceForMessageType": "No se ha configurado ningún servicio para controlar los mensajes de tipo ‘{0}’.",
            "AMFXTraitsNotFirst": "Objeto no válido. Se debe proporcionar un único conjunto de características como la primera entrada de un objeto.",
            "consumerSubscribeError": "Error de suscripción del usuario",
            "noChannelForDestination": "El destino '{0}' no existe o no tiene canales definidos (y la aplicación no define canales predeterminados.)",
            "emptyDestinationName": "‘{0}’ no es un destino válido.",
            "failedToConnect": "El productor no se pudo conectar con su destino.",
            "noAMFXNode": "Paquete AMFX no válido. El contenido debe empezar por un nodo <amfx>",
            "resubscribeIntervalNegative": "resubscribeInterval no puede tomar un valor negativo.",
            "noAckMessage": "No se ha recibido ningún mensaje de confirmación",
            "pollingRequestNotAllowed": "Realizado intervalo de sondeo en ‘{0}’ cuando no está activado el sondeo.",
            "queuedMessagesNotAllowedDetails": "Este productor no tiene ninguna cola de mensajes asignada, por tanto, no se pueden enviar los mensajes en cola.",
            "unknownStringReference": "Referencia de cadena {0} desconocida",
            "authenticationNotSupported": "Autenticación no admitida en DirectHTTPChannel (sin proxy).",
            "deliveryInDoubt": "Canal desconectado",
            "messageQueueNotInitialized": "No se ha inicializado el almacén de mensajes.",
            "notImplementingIExternalizable": "La clase {0} debe implementar flash.util.IExternalizable.",
            "receivedNull": "Se recibió el valor null.",
            "unknownDestinationForService": "Destino desconocido '{1}' para servicio con id. ‘{0}’."
        };
        return content;
    }
}



}
