package 
{

import mx.resources.ResourceBundle;

[ExcludeClass]

public class en_US$rpc_properties extends ResourceBundle
{

    public function en_US$rpc_properties()
    {
		 super("en_US", "rpc");
    }

    override protected function getContent():Object
    {
        var content:Object =
        {
            "noBaseSchemaAddress": "Cannot resolve relative schema import without a fully qualified base address.",
            "unrecognizedPortTypeName": "The WSDL parser couldn't find a portType named '{0}' in namespace '{1}'",
            "noListenerForHeader": "No event listener for header {0}",
            "cannotConnectToDestination": "Couldn't establish a connection to '{0}'",
            "unexpectedException": "Runtime exception {0}",
            "noServiceElement.details": "No <wsdl:service> elements found in WSDL at {0}.",
            "unableToLoadWSDL": "Unable to load WSDL. If currently online, please verify the URI and/or format of the WSDL ({0})",
            "errorWhileLoadingFromParent": "Error while loading imported schema from parent location: {0}",
            "unexpectedSchemaException": "Error while importing schema: {0}",
            "unrecognizedBindingName": "The WSDL parser couldn't find a binding named '{0}' in namespace '{1}'",
            "cannotResetService": "Cannot reset the service of an Operation",
            "mustSpecifyWSDLLocation": "You must specify the WSDL location with useProxy set to false.",
            "urlNotSpecified": "A URL must be specified with useProxy set to false.",
            "unexpectedInputParameter": "Unexpected parameter '{0}' found in input arguments.",
            "noBaseWSDLAddress": "Cannot resolve relative WSDL import without a fully qualified base address.",
            "noListenerForEvent": "An event was received for which no listener was defined. Please add an event listener. {0}",
            "unknownSchemaVersion": "Unknown schema version",
            "missingInputParameter": "Array of input arguments did not contain a required parameter at position {0}",
            "unrecognizedNamespace": "The WSDL parser had no registered document for the namespace '{0}'",
            "multiplePortsFound": "A valid port was not specified. Unable to select a default port as there are multiple ports in the WSDL file.",
            "wsdlDefinitionsNotFirst": "Definitions must be the first element in a WSDL document",
            "xmlEncodeReturnNoXMLNode": "xmlEncode did not return XMLNode",
            "xmlDecodeReturnNull": "xmlDecode returned null",
            "tooFewInputParameters": "Too few parameters - expected at least {0} but found {1}",
            "noPortsInWSDL": "There are no valid ports in the WSDL file for the {0} service.",
            "invalidResultFormat": "Invalid resultFormat '{0}' valid formats are [{1}, {2}, {3}, {4}, {5}]",
            "unrecognizedMessageName": "The WSDL parser couldn't find a message named '{0}' in namespace '{1}'",
            "operationsNotAllowedInService": "Cannot assign operations into an RPC Service ({0})",
            "badSchemaNode": "Bad schema node",
            "noSuchServiceInWSDL": "The requested service '{0}' was not found in the WSDL file.",
            "destinationOrWSDLNotSpecified": "A destination and/or WSDL must be specified.",
            "noBaseWSDLAddress.details": "Please specify the location of the WSDL document for the WebService.",
            "missingInputParameterWithName": "Required parameter '{0}' not found in input arguments.",
            "badElement": "Element {0}:{1} not resolvable",
            "overloadedOperation": "The WSDL contains an overloaded operation ({0}) - we do not currently support this usage.",
            "defaultDecoderFailed": "Default decoder could not decode result",
            "faultyWSDLFormat": "Faulty WSDL format",
            "soapVersionMismatch": "Request implements version: {0}, Response implements version {1}",
            "badType": "Type {0} not resolvable",
            "noSuchService": "Couldn't find service '{0}'",
            "cannotResetOperationName": "Cannot reset the name of an Operation",
            "unknownSchemaElement": "Unknown element: {0}",
            "pendingCallExists": "Attempt to invoke while another call is pending.  Either change concurrency options or avoid multiple calls.",
            "noServiceAndPort": "Couldn't find a matching port (service = '{0}', port = '{1}')",
            "noServices": "There are no valid services in the WSDL file.",
            "unknownProtocol": "Unknown protocol '{0}'",
            "unknownSchemaType": "Unknown schema type system",
            "invalidSoapResultFormat": "Invalid resultFormat '{0}'. Valid formats are 'object', 'xml', and 'e4x'",
            "xmlEncodeReturnNull": "xmlEncode returned null",
            "cannotFindType": "Cannot find type for: {0}",
            "noServiceElement": "Could not load WSDL"
        };
        return content;
    }
}



import mx.resources.ResourceBundle;

[ExcludeClass]

public class es_ES$rpc_properties extends ResourceBundle
{

    public function es_ES$rpc_properties()
    {
		 super("es_ES", "rpc");
    }

    override protected function getContent():Object
    {
        var content:Object =
        {
            "noBaseSchemaAddress": "No se puede resolver la importación de un esquema relativo sin una dirección base completa.",
            "unrecognizedPortTypeName": "El analizador de WSDL no pudo encontrar ningún portType denominado ‘{0}’ en el espacio de nombres '{1}'",
            "noListenerForHeader": "No existe ningún agente de escucha de eventos para el encabezado {0}",
            "cannotConnectToDestination": "No se pudo establecer conexión con ‘{0}’",
            "unexpectedException": "Excepción en tiempo de ejecución {0}",
            "noServiceElement.details": "No se encontraron elementos de <wsdl:servicio> de WSDL en {0}.",
            "unableToLoadWSDL": "No se puede cargar WSDL. Si está conectado actualmente, compruebe el URI y/o el formato de WSDL ({0})",
            "errorWhileLoadingFromParent": "Error al cargar el esquema importado de la ubicación primaria: {0}",
            "unexpectedSchemaException": "Error al importar el esquema: {0}",
            "unrecognizedBindingName": "El analizador de WSDL no pudo encontrar ningún enlace denominado ‘{0}’ en el espacio de nombres '{1}'",
            "cannotResetService": "No se puede restablecer el servicio de una operación",
            "mustSpecifyWSDLLocation": "Debe especificar la ubicación de WSDL con el valor de useProxy establecido en false.",
            "urlNotSpecified": "Se debe especificar una dirección URL con el valor de useProxy establecido en false.",
            "unexpectedInputParameter": "Se ha encontrado un parámetro ‘{0}’ inesperado en los argumentos de entrada.",
            "noBaseWSDLAddress": "No se puede resolver la importación de WSDL relativa sin una dirección base completa.",
            "noListenerForEvent": "Se recibió un evento para el que no se definió ningún agente de escucha. Agregue un agente de escucha de eventos. {0}",
            "unknownSchemaVersion": "Versión de esquema desconocida",
            "missingInputParameter": "La matriz de argumentos de entrada no contenía un parámetro requerido en la posición {0}",
            "unrecognizedNamespace": "El analizador de WSDL no tenía documentos registrados para el espacio de nombres ‘{0}’",
            "multiplePortsFound": "No se ha especificado ningún puerto válido. No se puede seleccionar un puerto predeterminado ya que el archivo de WSDL contiene muchos puertos.",
            "wsdlDefinitionsNotFirst": "Las definiciones deben ser el primer elemento de un documento de WSDL",
            "xmlEncodeReturnNoXMLNode": "xmlEncode no devolvió XMLNode",
            "xmlDecodeReturnNull": "xmlDecode devolvió el valor null",
            "tooFewInputParameters": "Muy pocos parámetros. Se esperaban al menos {0}, pero se encontraron {1}",
            "noPortsInWSDL": "No existen puertos válidos en el archivo de WSDL para el servicio {0}.",
            "invalidResultFormat": "resultFormat ‘{0}’ no válido, los formatos válidos son [{1}, {2}, {3}, {4}, {5}]",
            "unrecognizedMessageName": "El analizador de WSDL no pudo encontrar ningún mensaje denominado ‘{0}’ en el espacio de nombres '{1}'",
            "operationsNotAllowedInService": "No se pueden asignar operaciones en un servicio de RPC ({0})",
            "badSchemaNode": "Nodo de esquema incorrecto",
            "noSuchServiceInWSDL": "No se encontró el servicio solicitado ‘{0}’ en el archivo de WSDL.",
            "destinationOrWSDLNotSpecified": "Se debe especificar un destino y/o WSDL.",
            "noBaseWSDLAddress.details": "Especifique la ubicación del documento de WSDL para el servicio Web.",
            "missingInputParameterWithName": "No se encontró el parámetro requerido ‘{0}’ en los argumentos de entrada.",
            "badElement": "El elemento {0}:{1} no se puede resolver",
            "overloadedOperation": "WSDL contiene una operación sobrecargada ({0}), pero actualmente no se admite este uso.",
            "defaultDecoderFailed": "El descodificador predeterminado no pudo descodificar el resultado",
            "faultyWSDLFormat": "Error de formato de WSDL",
            "soapVersionMismatch": "La solicitud implementa la versión: {0}, la respuesta implementa la versión {1}",
            "badType": "El tipo {0} no se puede resolver",
            "noSuchService": "No se pudo encontrar el servicio ‘{0}’",
            "cannotResetOperationName": "No se puede restablecer el nombre de una operación",
            "unknownSchemaElement": "Elemento desconocido: {0}.",
            "pendingCallExists": "Intento de invocación mientras está pendiente otra llamada. Cambie las opciones de concurrencia o evite realizar varias llamadas.",
            "noServiceAndPort": "No se pudo encontrar ningún puerto coincidente (servicio = ‘{0}’, puerto = '{1}')",
            "noServices": "No existen servicios válidos en el archivo de WSDL.",
            "unknownProtocol": "Protocolo desconocido ‘{0}’",
            "unknownSchemaType": "Sistema de tipos de esquema desconocido",
            "invalidSoapResultFormat": "resultFormat ‘{0}’ no válido. Los formatos válidos son 'objeto', 'xml' y 'e4x'",
            "xmlEncodeReturnNull": "xmlEncode devolvió el valor null",
            "cannotFindType": "No se puede encontrar el tipo de: {0}",
            "noServiceElement": "No se pudo cargar WSDL"
        };
        return content;
    }
}



}
