package canvas {
	import flash.events.Event;
	import flash.events.MouseEvent;
	import flash.events.ProgressEvent;
	import flash.events.TextEvent;
	import flash.media.Video;
	import flash.net.FileReference;
	import flash.net.URLRequest;
	import flash.net.navigateToURL;
	
	import helpers.PopupVideo;
	
	import mx.collections.ArrayList;
	import mx.containers.Canvas;
	import mx.controls.ProgressBar;
	import mx.managers.PopUpManager;

	/**
	 *
	 * @author Jose
	 */
	public class DocumentationCanvasCodeBehind extends Canvas {
		[Bindable]
		/**
		 *
		 * @default
		 */
		public var isSelectedSupplier:Boolean=false;
		[Bindable]
		/**
		 *
		 * @default
		 */
		public var menuExportEnabled:Boolean=false;
		[Bindable]
		/**
		 *
		 * @default
		 */
		public var messages:String="";
		[Bindable]
		/**
		 *
		 * @default
		 */
		public var authentificated:Boolean=false;
		[Bindable]
		/**
		 *
		 * @default
		 */
		public var fileRef:FileReference=null;
		[Bindable]
		/**
		 *
		 * @default
		 */
		public var pbProgress:ProgressBar;
		[Bindable]
		/**
		 *
		 * @default
		 */
		public var pbProgress2:ProgressBar;
		[Bindable]
		/**
		 *
		 * @default
		 */
		public var pbProgress3:ProgressBar;
		[Bindable]
		/**
		 *
		 * @default
		 */
		public var pbProgress4:ProgressBar;
		[Bindable]
		/**
		 *
		 * @default
		 */
		public var downloads:ArrayList;
		[Bindable]
		[Embed(source="/assets/video1.png")]
		public var video1:Class;
		[Bindable]
		[Embed(source="/assets/video2.png")]
		public var video2:Class;
		public var popUpVideoDisplay:PopupVideo;

		public function button_click(evt:MouseEvent):void {
			popUpVideoDisplay=new PopupVideo();
			popUpVideoDisplay.source="http://www.lukysite.net/tfc/videos/video1.flv";
			PopUpManager.addPopUp(popUpVideoDisplay, this, true);
		}

/*		public function button_click2(evt:MouseEvent):void {
			popUpVideoDisplay=new PopupVideo();
			popUpVideoDisplay.source="videos/video2.flv";
			PopUpManager.addPopUp(popUpVideoDisplay, this, true);
		}*/

		/**
		 *
		 * @param dwn
		 */
		public function downloadFile(dwn:String):void {
			var urlRequest:URLRequest;
			if (dwn == "plaTreball") {
				urlRequest=new URLRequest("http://www.lukysite.net/tfc/josecfernandez_PlaTreball.pdf");
				fileRef=new FileReference();
				fileRef.download(urlRequest, "josecfernandez_PlaTreball.pdf");
				fileRef.addEventListener(ProgressEvent.PROGRESS, setDownloadProgress);
				fileRef.addEventListener(Event.COMPLETE, completeHandler);
			} else if (dwn == "PAC2") {
				urlRequest=new URLRequest("http://www.lukysite.net/tfc/josecfernandez_PAC2.pdf");
				fileRef=new FileReference();
				fileRef.download(urlRequest, "josecfernandez_PAC2.pdf");
				fileRef.addEventListener(ProgressEvent.PROGRESS, setDownloadProgress2);
				fileRef.addEventListener(Event.COMPLETE, completeHandler2);
			} else if (dwn == "Impl") {
				urlRequest=new URLRequest("http://www.lukysite.net/tfc/josecfernandez_PAC3.pdf");
				fileRef=new FileReference();
				fileRef.download(urlRequest, "josecfernandez_PAC3.pdf");
				fileRef.addEventListener(ProgressEvent.PROGRESS, setDownloadProgress3);
				fileRef.addEventListener(Event.COMPLETE, completeHandler3);
			} else if (dwn == "Memory") {
				urlRequest=new URLRequest("http://www.lukysite.net/tfc/josecfernandez_Memoria.pdf");
				fileRef=new FileReference();
				fileRef.download(urlRequest, "josecfernandez_Memoria.pdf");
				fileRef.addEventListener(ProgressEvent.PROGRESS, setDownloadProgress3);
				fileRef.addEventListener(Event.COMPLETE, completeHandler3);
			}
		}

		/**
		 *
		 * @param event
		 */
		public function setDownloadProgress(event:ProgressEvent):void {
			pbProgress.setProgress(event.bytesLoaded, event.bytesTotal);
			pbProgress.label="Downloading [" + Math.round(event.bytesLoaded / event.bytesTotal * 100).toString() + "%]";
		}

		/**
		 *
		 * @param event
		 */
		public function setDownloadProgress2(event:ProgressEvent):void {
			pbProgress2.setProgress(event.bytesLoaded, event.bytesTotal);
			pbProgress2.label="Downloading [" + Math.round(event.bytesLoaded / event.bytesTotal * 100).toString() + "%]";
		}

		/**
		 *
		 * @param event
		 */
		public function setDownloadProgress3(event:ProgressEvent):void {
			pbProgress3.setProgress(event.bytesLoaded, event.bytesTotal);
			pbProgress3.label="Downloading [" + Math.round(event.bytesLoaded / event.bytesTotal * 100).toString() + "%]";
		}

		/**
		 *
		 * @param event
		 */
		public function setDownloadProgress4(event:ProgressEvent):void {
			pbProgress3.setProgress(event.bytesLoaded, event.bytesTotal);
			pbProgress3.label="Downloading [" + Math.round(event.bytesLoaded / event.bytesTotal * 100).toString() + "%]";
		}

		/**
		 *
		 * @param event
		 */
		public function completeHandler(event:Event):void {
			fileRef=null;
		}

		/**
		 *
		 * @param event
		 */
		public function completeHandler2(event:Event):void {
			fileRef=null;
		}

		/**
		 *
		 * @param event
		 */
		public function completeHandler3(event:Event):void {
			fileRef=null;
		}
		
		public function linkHandler( linkEvent:TextEvent ):void
		{
			// Open the link in a new browser window.
			navigateToURL( new URLRequest(linkEvent.text), "_blank" );
		}

	}
}
