package helpers {
	import mx.validators.NumberValidator;

	/**
	 * 
	 * @author Jose
	 */
	public class NumberRangeValidator extends NumberValidator {
		/**
		 * 
		 */
		public function NumberRangeValidator() {
			super();
		}

		override protected function doValidation(value:Object):Array {
			var validatorResults:Array=new Array();
			if ((value != "" && isNaN(Number(maxValue))) || (value != "" && maxValue == "")) {
				validatorResults=super.doValidation(value);
				if (validatorResults.length > 0)
					return validatorResults;
				if (String(value).length == 0)
					return validatorResults;
			}
			validatorResults=super.doValidation(value);
			if (validatorResults.length > 0)
				return validatorResults;
			if (String(value).length == 0)
				return validatorResults;
			return validatorResults;
		}
	}
}
