package screens {
	import flash.events.Event;
	import flash.events.ProgressEvent;
	import flash.net.FileReference;
	import flash.net.URLRequest;
	
	import mx.collections.ArrayList;
	import mx.containers.Box;
	import mx.controls.ProgressBar;

	/**
	 * 
	 * @author Jose
	 */
	public class ProjectScreenCodeBehind extends Box {
		[Bindable]
		/**
		 * 
		 * @default 
		 */
		public var isSelectedSupplier:Boolean=false;
		[Bindable]
		/**
		 * 
		 * @default 
		 */
		public var menuExportEnabled:Boolean=false;
		[Bindable]
		/**
		 * 
		 * @default 
		 */
		public var messages:String="";
		[Bindable]
		/**
		 * 
		 * @default 
		 */
		public var authentificated:Boolean=false;
		[Bindable]
		/**
		 * 
		 * @default 
		 */
		public var fileRef:FileReference=null;
		[Bindable]
		/**
		 * 
		 * @default 
		 */
		public var pbProgress:ProgressBar;
		[Bindable]
		/**
		 * 
		 * @default 
		 */
		public var downloads:ArrayList;

		/**
		 * 
		 * @param dwn
		 */
		public function downloadFile(dwn:String):void {
			var urlRequest:URLRequest;
			if (dwn == "plaTreball") {
				urlRequest=new URLRequest("http://www.lukysite.net/tfc/josecfernandez_PlaTreball.pdf");
				fileRef=new FileReference();
				fileRef.download(urlRequest, "josecfernandez_PlaTreball.pdf");
				fileRef.addEventListener(ProgressEvent.PROGRESS, setDownloadProgress2);
				fileRef.addEventListener(Event.COMPLETE, completeHandler);
			} else if (dwn == "PAC2") {
				urlRequest=new URLRequest("http://www.lukysite.net/tfc/josecfernandez_PAC2.pdf");
				fileRef=new FileReference();
				fileRef.download(urlRequest, "josecfernandez_PAC2.pdf");
				fileRef.addEventListener(ProgressEvent.PROGRESS, setDownloadProgress);
				fileRef.addEventListener(Event.COMPLETE, completeHandler);
			}
		}

		/**
		 *
		 * @param event
		 */
		public function setDownloadProgress(event:ProgressEvent):void {
			pbProgress.setProgress(event.bytesLoaded, event.bytesTotal);
			pbProgress.label=resourceManager.getString('invoicingProperties', 'label.downloading') + " [" + Math.round(event.bytesLoaded / event.bytesTotal * 100).toString() + "%]";
		}

		/**
		 * 
		 * @param event
		 */
		public function setDownloadProgress2(event:ProgressEvent):void {
			pbProgress.setProgress(event.bytesLoaded, event.bytesTotal);
			pbProgress.label=resourceManager.getString('invoicingProperties', 'label.downloading') + " [" + Math.round(event.bytesLoaded / event.bytesTotal * 100).toString() + "%]";
		}

		/**
		 * 
		 * @param event
		 */
		public function completeHandler(event:Event):void {
			pbProgress.label=resourceManager.getString('invoicingProperties', 'label.downloaded');
		}
	}
}
