/*
 * 
 */
package com.invoicing.dtos;



/**
 * The Class UserDTO encapsulates business parameters of an User
 * 
 * @author Jose Carlos
 */
public class UserDTO {

	/** The id. */
	private int id;

	/** The name. */
	private String name;

	/** The password. */
	private String password;

	/**
	 * Instantiates a new user dto.
	 */
	public UserDTO() {
	}

	/**
	 * Instantiates a new user dto.
	 * 
	 * @param name
	 *            the name
	 * @param password
	 *            the password
	 */
	public UserDTO(String name, String password) {
		this.name = name;
		this.password = password;
	}

	/**
	 * Gets the id.
	 * 
	 * @return the id
	 */
	public int getId() {
		return id;
	}

	/**
	 * Sets the id.
	 * 
	 * @param id
	 *            the new id
	 */
	public void setId(int id) {
		this.id = id;
	}

	/**
	 * Gets the name.
	 * 
	 * @return the name
	 */
	public String getName() {
		return name;
	}

	/**
	 * Sets the name.
	 * 
	 * @param name
	 *            the new name
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * Gets the password.
	 * 
	 * @return the password
	 */
	public String getPassword() {
		return password;
	}

	/**
	 * Sets the password.
	 * 
	 * @param password
	 *            the new password
	 */
	public void setPassword(String password) {
		this.password = password;
	}
}
