package com.invoicing.main;

import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

import com.invoicing.persistence.InvoiceDAOI;
import com.invoicing.persistence.UserDAOI;


/**
 * The Class Main. It is used for testing.
 * 
 * @author Jose Carlos
 */
public class Main {

	/**
	 * The main method.
	 * 
	 * @param args
	 *            the arguments
	 */
	public static void main(String[] args) {

		// paso 1 leer el XML de los beans
		ApplicationContext context = new ClassPathXmlApplicationContext(
				"spring/app-config.xml");

		// crear un Data object access a partir del bean con id userDao
		// al que le corresponde la clase UserDAO_jdbc_spring
		@SuppressWarnings("unused")
		UserDAOI userDAOI = (UserDAOI) context.getBean("userDAOI");
		InvoiceDAOI invoiceDAOI = (InvoiceDAOI) context.getBean("invoiceDAOI");
		// llamar al método que tiene para recoger los resultados de la tabla en
		// un List
		// User user = (User) userDAOI.getUser("jose");
		// Invoice invoice1 = new Invoice();
		// invoice1.setDate(new Date());
		// invoice1.setpCollected(new Float((double) 1.2));
		// invoice1.setpSteps(1);
		// invoice1.setpTimeOn("12:43");
		// invoice1.setpSurcharges(1);
		// invoice1.settSteps(444);
		// invoice1.setUser(user);
		// Invoice invoice2 = new Invoice();
		// Calendar calendar = Calendar.getInstance();
		// calendar.add(Calendar.WEEK_OF_MONTH, 1);
		// Date date = calendar.getTime();
		// invoice2.setDate(date);
		// invoice2.setUser(user);
		// user.getInvoicingList().add(invoice1);
		// user.getInvoicingList().add(invoice2);
		// session.save(invoice1);
		// session.save(invoice2);

		// invoiceDAOI.proves();

		// List l = new ArrayList<Invoice>();
		// Invoice invoice1 = new Invoice();
		//		
		// Invoice invoice2 = new Invoice();
		//		
		// l.add(invoice1);
		// l.add(invoice2);
		// // User user = new User("myName", "myPass", l);
		// userDao.insertInvoice(user);

		// User user=new User();
		// user.setName("jose");
		// user.setPassword("123");
		// userDAOI.insertUser(user);
		// User userBD = userDaoH.getUser(user);
		// System.out.println(userBD.getName());
		// for (int i = 0; i < users.size(); i++) {
		// User us = (User) users.get(i);
		// System.out.println("Encontrados los usuarios: \n \t"
		// + us.getUserId() + " - " + us.getUserName() + " - "
		// + us.getPassword());
		// for (Invoice invoi : us.getInvoicelist()) {
		// System.out
		// .println("\t Encontradas las facturas por usuario: \n \t\t"
		// + invoi.getInvoiceId()
		// + " - "
		// + invoi.getSalto());
		// }
		// }
		// for (int h = 0; h < users.size(); h++) {
		// User us = (User) users.get(h);
		// userDao.deleteUser(us);
		// }
		// userDao=null;
		// context=null;
	}
}