

import flash.events.Event;
import flash.events.EventDispatcher;
import flash.events.IEventDispatcher;
import mx.core.IPropertyChangeNotifier;
import mx.events.PropertyChangeEvent;
import mx.utils.ObjectProxy;
import mx.utils.UIDUtil;

import domain.*;

class BindableProperty
    implements flash.events.IEventDispatcher
{
	/*
	 * generated bindable wrapper for property idAdjustment (public)
	 * - generated setter
	 * - original getter left as-is
	 * - original public setter 'idAdjustment' moved to '_1037857000idAdjustment'
	 */

    [Bindable(event="propertyChange")]
    public function set idAdjustment(value:Number):void
    {
    	var oldValue:Object = this.idAdjustment;
        if (oldValue !== value)
        {
            this._1037857000idAdjustment = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "idAdjustment", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property commentary (public)
	 * - generated setter
	 * - original getter left as-is
	 * - original public setter 'commentary' moved to '_899152809commentary'
	 */

    [Bindable(event="propertyChange")]
    public function set commentary(value:String):void
    {
    	var oldValue:Object = this.commentary;
        if (oldValue !== value)
        {
            this._899152809commentary = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "commentary", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property adjsAmount (public)
	 * - generated setter
	 * - original getter left as-is
	 * - original public setter 'adjsAmount' moved to '_1235769308adjsAmount'
	 */

    [Bindable(event="propertyChange")]
    public function set adjsAmount(value:Number):void
    {
    	var oldValue:Object = this.adjsAmount;
        if (oldValue !== value)
        {
            this._1235769308adjsAmount = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "adjsAmount", oldValue, value));
        }
    }

	/*
	 * generated bindable wrapper for property currencySymbol (public)
	 * - generated setter
	 * - original getter left as-is
	 * - original public setter 'currencySymbol' moved to '_312458999currencySymbol'
	 */

    [Bindable(event="propertyChange")]
    public function set currencySymbol(value:String):void
    {
    	var oldValue:Object = this.currencySymbol;
        if (oldValue !== value)
        {
            this._312458999currencySymbol = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "currencySymbol", oldValue, value));
        }
    }


    //    IEventDispatcher implementation
    //
    private var _bindingEventDispatcher:flash.events.EventDispatcher =
        new flash.events.EventDispatcher(flash.events.IEventDispatcher(this));

	/**
	 * @inheritDoc
	 */
    public function addEventListener(type:String, listener:Function,
                                     useCapture:Boolean = false,
                                     priority:int = 0,
                                     weakRef:Boolean = false):void
    {
        _bindingEventDispatcher.addEventListener(type, listener, useCapture,
                                                 priority, weakRef);
    }

	/**
	 * @inheritDoc
	 */
    public function dispatchEvent(event:flash.events.Event):Boolean
    {
        return _bindingEventDispatcher.dispatchEvent(event);
    }

	/**
	 * @inheritDoc
	 */
    public function hasEventListener(type:String):Boolean
    {
        return _bindingEventDispatcher.hasEventListener(type);
    }

	/**
	 * @inheritDoc
	 */
    public function removeEventListener(type:String,
                                        listener:Function,
                                        useCapture:Boolean = false):void
    {
        _bindingEventDispatcher.removeEventListener(type, listener, useCapture);
    }

	/**
	 * @inheritDoc
	 */
    public function willTrigger(type:String):Boolean
    {
        return _bindingEventDispatcher.willTrigger(type);
    }

}
