

import flash.events.Event;
import flash.events.EventDispatcher;
import flash.events.IEventDispatcher;
import mx.core.IPropertyChangeNotifier;
import mx.events.PropertyChangeEvent;
import mx.utils.ObjectProxy;
import mx.utils.UIDUtil;

import spark.components.RichEditableText;

class BindableProperty
{
	/*
	 * generated bindable wrapper for property richTxt (public)
	 * - generated setter
	 * - generated getter
	 * - original public var 'richTxt' moved to '_1196876788richTxt'
	 */

    [Bindable(event="propertyChange")]
    public function get richTxt():spark.components.RichEditableText
    {
        return this._1196876788richTxt;
    }

    public function set richTxt(value:spark.components.RichEditableText):void
    {
    	var oldValue:Object = this._1196876788richTxt;
        if (oldValue !== value)
        {
            this._1196876788richTxt = value;
           if (this.hasEventListener("propertyChange"))
               this.dispatchEvent(mx.events.PropertyChangeEvent.createUpdateEvent(this, "richTxt", oldValue, value));
        }
    }



}
