package 
{

import mx.resources.ResourceBundle;

[ExcludeClass]

public class en_US$collections_properties extends ResourceBundle
{

    public function en_US$collections_properties()
    {
		 super("en_US", "collections");
    }

    override protected function getContent():Object
    {
        var content:Object =
        {
            "findCondition": "Find criteria must contain all sort fields leading up to '{0}'.",
            "noComparatorSortField": "Cannot determine comparator for SortField with name '{0}'.",
            "outOfBounds": "Index '{0}' specified is out of bounds.",
            "nonUnique": "Non-unique values in items.",
            "incorrectAddition": "Attempt to add an item already in the view.",
            "findRestriction": "Find criteria must contain at least one sort field value.",
            "invalidType": "Incorrect type. Must be of type XML or a XMLList that contains one XML object. ",
            "unknownMode": "Unknown find mode.",
            "invalidIndex": "Invalid index: '{0}'.",
            "invalidRemove": "Cannot remove when current is beforeFirst or afterLast.",
            "unknownProperty": "Unknown Property: '{0}'.",
            "invalidInsert": "Cannot insert when current is beforeFirst.",
            "itemNotFound": "Cannot find when view is not sorted.",
            "bookmarkInvalid": "Bookmark no longer valid.",
            "noComparator": "Cannot determine comparator for '{0}'.",
            "invalidCursor": "Cursor no longer valid.",
            "noItems": "No items to search.",
            "bookmarkNotFound": "Bookmark is not from this view."
        };
        return content;
    }
}



import mx.resources.ResourceBundle;

[ExcludeClass]

public class es_ES$collections_properties extends ResourceBundle
{

    public function es_ES$collections_properties()
    {
		 super("es_ES", "collections");
    }

    override protected function getContent():Object
    {
        var content:Object =
        {
            "findCondition": "Los criterios de búsqueda deben contener todos los campos de ordenación hasta ‘{0}’.",
            "noComparatorSortField": "No se puede determinar el comparador de SortField denominado ‘{0}’.",
            "outOfBounds": "El índice ‘{0}’ especificado está fuera de los límites.",
            "nonUnique": "Valores no únicos en los elementos.",
            "incorrectAddition": "Intento por agregar un elemento que ya está en la vista.",
            "findRestriction": "Los criterios de búsqueda deben contener al menos un valor del campo de ordenación.",
            "invalidType": "Tipo incorrecto. El tipo debe ser XML o XMLList con un objeto XML. ",
            "unknownMode": "Modo de búsqueda desconocido.",
            "invalidIndex": "Índice no válido: ‘{0}’.",
            "invalidRemove": "No se puede quitar cuando el valor actual es beforeFirst o afterLast.",
            "unknownProperty": "Propiedad desconocida: ‘{0}’.",
            "invalidInsert": "No se puede insertar cuando el valor actual es beforeFirst.",
            "itemNotFound": "No se puede buscar cuando la vista no está ordenada.",
            "bookmarkInvalid": "El marcador ya no es válido.",
            "noComparator": "No se puede determinar el comparador de ‘{0}’.",
            "invalidCursor": "El cursor ya no es válido.",
            "noItems": "No existen elementos que buscar.",
            "bookmarkNotFound": "El marcador no proviene de esta vista."
        };
        return content;
    }
}



}
