package 
{

import mx.resources.ResourceBundle;

[ExcludeClass]

public class en_US$components_properties extends ResourceBundle
{

    public function en_US$components_properties()
    {
		 super("en_US", "components");
    }

    override protected function getContent():Object
    {
        var content:Object =
        {
            "objectNotFoundInDisplayLayer": "{0} is not found in this DisplayLayer.",
            "sliderPageUpAccName": "Page up",
            "setChildIndexError": "setChildIndex() is not available in this class. Instead, use setElementIndex() or modify the skin, if you have one.",
            "scaleGridGroupError": "ScaleGrid properties can not be set on this Group since at least one child element is a DisplayObject.",
            "videoPlayerVolumeBarAccName": "Volume",
            "swapChildrenError": "swapChildren() is not available in this class. Instead, use swapElements() or modify the skin, if you have one.",
            "sliderPageLeftAccName": "Page left",
            "addChildError": "addChild() is not available in this class. Instead, use addElement() or modify the skin, if you have one.",
            "swapChildrenDataGroupError": "DataGroup manages its own display objects, and you should not call swapChildren() directly. To add, remove, or swap items, modify the dataProvider.",
            "operationNotSupported": "This operation is not supported.",
            "unableToCreateRenderer": "Could not create an item renderer for {0}.",
            "sliderPageRightAccName": "Page right",
            "videoPlayerMuteButtonAccName": "Not Muted,Muted",
            "setChildIndexDataGroupError": "DataGroup manages its own display objects, and you should not call setChildIndex() directly. To add, remove, or swap items, modify the dataProvider.",
            "elementNotFoundInGroup": "{0} is not found in this Group.",
            "viewSource": "View Source",
            "mxmlElementNoMultipleParents": "MXML element {0} can only have one parent.",
            "skinNotFound": "Skin for {0} cannot be found.",
            "swapChildrenAtError": "swapChildrenAt() is not available in this class. Instead, use swapElementsAt() or modify the skin, if you have one.",
            "sliderPageDownAccName": "Page down",
            "indexOutOfRange": "Index {0} is out of range.",
            "removeChildAtError": "removeChildAt() is not available in this class. Instead, use removeElementAt() or modify the skin, if you have one.",
            "sliderPositionAccName": "Position",
            "videoPlayerScrubBarAccName": "Scrub",
            "videoPlayerVideoDisplayAccName": "Video Player",
            "layoutReadOnly": "You are not allowed to change the layout for this class.  It is read-only.",
            "spinnerMoreAccName": "More",
            "spinnerLessAccName": "Less",
            "cannotAddYourselfAsYourChild": "Cannot add an element as a child of itself.",
            "requiredSkinPartNotFound": "Required skin part {0} cannot be found.",
            "cannotDisplayVisualElement": "DataGroup cannot display visual elements directly unless the elements are display objects and implement IVisualElement.",
            "videoPlayerFullScreenButtonAccName": "Full screen",
            "removeChildAtDataGroupError": "DataGroup manages its own display objects, and you should not call removeChildAt() directly. To add, remove, or swap items, modify the dataProvider.",
            "addChildAtError": "addChildAt() is not available in this class. Instead, use addElementAt() or modify the skin, if you have one.",
            "swapChildrenAtDataGroupError": "DataGroup manages its own display objects, and you should not call swapChildrenAt() directly. To add, remove, or swap items, modify the dataProvider.",
            "elementNotFoundInScroller": "{0} is not found in this Scroller.",
            "addChildAtDataGroupError": "DataGroup manages its own display objects, and you should not call addChildAt() directly. To add, remove, or swap items, modify the dataProvider.",
            "removeChildError": "removeChild() is not available in this class. Instead, use removeElement() or modify the skin, if you have one.",
            "addChildDataGroupError": "DataGroup manages its own display objects, and you should not call addChild() directly. To add, remove, or swap items, modify the dataProvider.",
            "removeChildDataGroupError": "DataGroup manages its own display objects, and you should not call removeChild() directly. To add, remove, or swap items, modify the dataProvider.",
            "videoPlayerPlayButtonAccName": "Play,Pause"
        };
        return content;
    }
}



import mx.resources.ResourceBundle;

[ExcludeClass]

public class es_ES$components_properties extends ResourceBundle
{

    public function es_ES$components_properties()
    {
		 super("es_ES", "components");
    }

    override protected function getContent():Object
    {
        var content:Object =
        {
            "objectNotFoundInDisplayLayer": "{0} no se encuentra en esta DisplayLayer.",
            "sliderPageUpAccName": "Page up",
            "setChildIndexError": "setChildIndex() no está disponible en esta clase. Utilice setElementIndex() o modifique la máscara, en caso de tener una.",
            "scaleGridGroupError": "No es posible establecer las propiedades de ScaleGrid en este grupo porque al menos un elemento secundario es un DisplayObject.",
            "videoPlayerVolumeBarAccName": "Volumen",
            "swapChildrenError": "swapChildren() no está disponible en esta clase. Utilice swapElements() o modifique la máscara, en caso de tener una.",
            "sliderPageLeftAccName": "Page left",
            "addChildError": "addChild() no está disponible en esta clase. Utilice addElement() o modifique la máscara, en caso de tener una.",
            "swapChildrenDataGroupError": "DataGroup administra sus propios objetos de visualización; no se debe llamar a swapChildren() de forma directa. Para agregar, quitar o intercambiar elementos, debe modificarse dataProvider.",
            "operationNotSupported": "Esta operación no está permitida.",
            "unableToCreateRenderer": "No se ha podido crear un procesador de elementos para {0}.",
            "sliderPageRightAccName": "Page right",
            "videoPlayerMuteButtonAccName": "No silenciado,Silenciado",
            "setChildIndexDataGroupError": "DataGroup administra sus propios objetos de visualización; no se debe llamar a setChildIndex() de forma directa. Para agregar, quitar o intercambiar elementos, debe modificarse dataProvider.",
            "elementNotFoundInGroup": "{0} no se encuentra en este grupo.",
            "viewSource": "Ver código fuente",
            "mxmlElementNoMultipleParents": "El elemento MXML {0} sólo puede tener un elemento principal.",
            "skinNotFound": "No se puede encontrar la máscara para {0}.",
            "swapChildrenAtError": "swapChildrenAt() no está disponible en esta clase. Utilice swapElementsAt() o modifique la máscara, en caso de tener una.",
            "sliderPageDownAccName": "Page down",
            "indexOutOfRange": "El índice {0} está fuera del rango.",
            "removeChildAtError": "removeChildAt() no está disponible en esta clase. Utilice removeElementAt() o modifique la máscara, en caso de tener una.",
            "sliderPositionAccName": "Position",
            "videoPlayerScrubBarAccName": "Arrastrar",
            "videoPlayerVideoDisplayAccName": "Reproductor de vídeo",
            "layoutReadOnly": "No es posible cambiar el diseño de esta clase.  Es de sólo lectura.",
            "spinnerMoreAccName": "More",
            "spinnerLessAccName": "Less",
            "cannotAddYourselfAsYourChild": "No es posible agregar un elemento como elemento secundario de sí mismo.",
            "requiredSkinPartNotFound": "No se puede encontrar la parte de la máscara requerida {0}.",
            "cannotDisplayVisualElement": "DataGroup no puede mostrar elementos visuales directamente a no ser que los elementos sean objetos de visualización e implementen IVisualElement.",
            "videoPlayerFullScreenButtonAccName": "Pantalla completa",
            "removeChildAtDataGroupError": "DataGroup administra sus propios objetos de visualización; no se debe llamar a removeChildAt() de forma directa. Para agregar, quitar o intercambiar elementos, debe modificarse dataProvider.",
            "addChildAtError": "addChildAt() no está disponible en esta clase. Utilice addElementAt() o modifique la máscara, en caso de tener una.",
            "swapChildrenAtDataGroupError": "DataGroup administra sus propios objetos de visualización; no se debe llamar a swapChildrenAt() de forma directa. Para agregar, quitar o intercambiar elementos, debe modificarse dataProvider.",
            "elementNotFoundInScroller": "{0} no se encuentra en este Scroller.",
            "addChildAtDataGroupError": "DataGroup administra sus propios objetos de visualización; no se debe llamar a addChildAt() de forma directa. Para agregar, quitar o intercambiar elementos, debe modificarse dataProvider.",
            "removeChildError": "removeChild() no está disponible en esta clase. Utilice removeElement() o modifique la máscara, en caso de tener una.",
            "addChildDataGroupError": "DataGroup administra sus propios objetos de visualización; no se debe llamar a addChild() de forma directa. Para agregar, quitar o intercambiar elementos, debe modificarse dataProvider.",
            "removeChildDataGroupError": "DataGroup administra sus propios objetos de visualización; no se debe llamar a removeChild() de forma directa. Para agregar, quitar o intercambiar elementos, debe modificarse dataProvider.",
            "videoPlayerPlayButtonAccName": "Reproducir,Interrumpir"
        };
        return content;
    }
}



}
