package 
{

import mx.resources.ResourceBundle;

[ExcludeClass]

public class en_US$controls_properties extends ResourceBundle
{

    public function en_US$controls_properties()
    {
		 super("en_US", "controls");
    }

    override protected function getContent():Object
    {
        var content:Object =
        {
            "undefinedParameter": "CuePoint parameter undefined.",
            "nullURL": "Null URL sent to VideoPlayer.load.",
            "incorrectType": "Type must be 0, 1 or 2.",
            "okLabel": "OK",
            "noLabel": "No",
            "wrongNumParams": "Num params must be number.",
            "wrongDisabled": "Disabled must be number.",
            "wrongTime": "Time must be number.",
            "dayNamesShortest": "S,M,T,W,T,F,S",
            "wrongType": "Type must be number.",
            "firstDayOfWeek": "0",
            "requiredField": "Required Field",
            "rootNotSMIL": "URL: '{0}' Root node not smil: '{1}'.",
            "errorMessages": "Unable to make connection to server or to find FLV on server.,No matching cue point found.,Illegal cue point.,Invalid seek.,Invalid contentPath.,Invalid XML.,No bitrate match; must be no default FLV.,Cannot delete default VideoPlayer.",
            "unexpectedEnd": "Unexpected end of cuePoint param string.",
            "rootNotFound": "URL: '{0}' No root node found; if file is an flv, it must have a .flv extension.",
            "errWrongContainer": "ERROR: The dataProvider of '{0}' must not contain objects of type flash.display.DisplayObject.",
            "invalidCall": "Cannot call reconnect on an http connection.",
            "cancelLabel": "Cancel",
            "errWrongType": "ERROR: The dataProvider of '{0}' must be String, ViewStack, Array, or IList.",
            "badArgs": "Bad args to _play.",
            "missingRoot": "URL: '{0}' No root node found; if URL is for an FLV, it must have a .flv extension and take no parameters.",
            "notLoadable": "Unable to load '{0}'.",
            "wrongName": "Name cannot be undefined or null.",
            "wrongTimeName": "Time must be number and/or name must not be undefined or null.",
            "yesLabel": "Yes",
            "undefinedArray": "CuePoint.array undefined.",
            "missingProxy": "URL: '{0}' fpad xml requires proxy tag.",
            "unknownInput": "Unknown inputType '{0}'.",
            "missingAttributeSrc": "URL: '{0}' Attribute src is required in '{1}' tag.",
            "yearSymbol": "",
            "wrongIndex": "CuePoint.index must be number between -1 and cuePoint.array.length.",
            "notImplemented": "'{0}' not implemented yet.",
            "label": "LOADING %3%%",
            "wrongFormat": "Unexpected cuePoint parameter format.",
            "tagNotFound": "URL: '{0}' At least one video of ref tag is required.",
            "unsupportedMode": "IMEMode '{0}' not supported.",
            "cannotDisable": "Cannot disable actionscript cue points.",
            "missingAttributes": "URL: '{0}' Tag '{1}' requires attributes id, width, and height. Width and height must be numbers greater than or equal to 0.",
            "notfpad": "URL: '{0}' Root node not fpad."
        };
        return content;
    }
}



import mx.resources.ResourceBundle;

[ExcludeClass]

public class es_ES$controls_properties extends ResourceBundle
{

    public function es_ES$controls_properties()
    {
		 super("es_ES", "controls");
    }

    override protected function getContent():Object
    {
        var content:Object =
        {
            "undefinedParameter": "Parámetro CuePoint sin definir.",
            "nullURL": "Se envió una dirección URL nula a VideoPlayer.load.",
            "incorrectType": "El tipo debe ser 0, 1 ó 2.",
            "okLabel": "Aceptar",
            "noLabel": "No",
            "wrongNumParams": "Los parámetros numéricos deben ser números.",
            "wrongDisabled": "Disabled debe ser un número.",
            "wrongTime": "Time debe ser un número.",
            "dayNamesShortest": "D,L,M,M,J,V,S",
            "wrongType": "Type debe ser un número.",
            "firstDayOfWeek": "0",
            "requiredField": "Campo obligatorio",
            "rootNotSMIL": "URL: ‘{0}' El nodo raíz no es smil: '{1}'.",
            "errorMessages": "No se puede realizar la conexión con el servidor ni encontrar FLV en el servidor.,No se ha encontrado ningún punto clave coincidente.,Punto clave incorrecto.,Búsqueda no válida.,contentPath no válido.,XML no válido.,No existe coincidencia con velocidad de bits, no debe haber ningún FLV predeterminado.,No se puede eliminar VideoPlayer predeterminado.",
            "unexpectedEnd": "Final inesperado de cadena del parám. cuePoint.",
            "rootNotFound": "URL: ‘{0}' No se ha encontrado ningún nodo raíz; si el archivo es un flv, debe tener una extensión .flv.",
            "errWrongContainer": "ERROR: dataProvider de ‘{0}’ no debe contener objetos de tipo flash.display.DisplayObject.",
            "invalidCall": "No se puede llamar a una nueva conexión en una conexión http.",
            "cancelLabel": "Cancelar",
            "errWrongType": "ERROR: dataProvider de ‘{0}’ debe ser String, ViewStack, Array o IList.",
            "badArgs": "Argumentos incorrectos en _play.",
            "missingRoot": "URL: ‘{0}' No se ha encontrado ningún nodo raíz; si la dirección URL es de un FLV, debe tener una extensión .flv sin tomar parámetros.",
            "notLoadable": "No se puede cargar ‘{0}’.",
            "wrongName": "No se puede definir el valor de name o su valor es null.",
            "wrongTimeName": "Time debe ser un número y/o el valor de name no se debe definir o ser null.",
            "yesLabel": "Sí",
            "undefinedArray": "CuePoint.array sin definir.",
            "missingProxy": "URL: ‘{0}' xml de fpad necesita etiqueta de proxy.",
            "unknownInput": "inputType desconocido: ‘{0}’.",
            "missingAttributeSrc": "URL: se necesita el atributo src ‘{0}’ en la etiqueta '{1}'.",
            "yearSymbol": "",
            "wrongIndex": "CuePoint.index debe ser un número comprendido entre -1 y cuePoint.array.length.",
            "notImplemented": "‘{0}’ aún no se ha implementado.",
            "label": "CARGANDO %3%%",
            "wrongFormat": "Formato de parámetro cuePoint inesperado.",
            "tagNotFound": "URL: ‘{0}’ Se necesita un vídeo de etiqueta ref como mínimo.",
            "unsupportedMode": "No se admite IMEMode '{0}'.",
            "cannotDisable": "No se pueden desactivar puntos clave de actionscript.",
            "missingAttributes": "URL: '{0}' La etiqueta '{1}' necesita los atributos id, width y height. Width y height deben ser números mayores o iguales que 0.",
            "notfpad": "URL: ‘{0}' El nodo raíz no es fpad."
        };
        return content;
    }
}



}
