package helpers {
	import mx.validators.ValidationResult;
	import mx.validators.Validator;

	/**
	 * 
	 * @author Jose
	 */
	public class TimeValidator extends Validator {
		private var results:Array;

		/**
		 * 
		 */
		public function TimeValidator() {
			super();
		}

		override protected function doValidation(value:Object):Array {
			results=[];
			results=super.doValidation(value);
			if (results.length > 0)
				return results;
			var pattern:RegExp=/^([0-9]|0[0-9]|1[0-9]|2[0-4])(:[0-5][0-9])?$/;
			var r:Array=pattern.exec(String(value));
			if (r == null) {
				results.push(new ValidationResult(true, null, "NaN",
					resourceManager.getString('invoicingProperties', 'error.timeValidation')
					));
				return results;
			}
			return results;
		}
	}
}
