package screens {
	import dtos.UserDTO;
	
	import events.ConditionalEvent;
	
	import mx.collections.*;
	import mx.containers.Box;

	/**
	 * 
	 * @author Jose
	 */
	public class MaintenanceScreenCodeBehind extends Box {
		[Bindable]
		/**
		 * 
		 * @default 
		 */
		public var isSelectedInoice:Boolean=false;
		[Bindable]
		/**
		 * 
		 * @default 
		 */
		public var blockShadesByEdition:Boolean=false;
		[Bindable]
		/**
		 * 
		 * @default 
		 */
		public var userDTO:UserDTO;

		[MessageHandler(selector="InvoiceFormCodeBehind.cancelEdition")]
		[MessageHandler(selector="InvoiceFormCodeBehind.newInvoice")]
		[MessageHandler(selector="HomeScreenCodeBehind.newInvoice")]
		[MessageHandler(selector="HomeScreenCodeBehind.updateInvoice")]
		/**
		 * 
		 * @param conditionalEvent
		 */
		public function saveOrUpdateState(conditionalEvent:ConditionalEvent):void {
			blockShadesByEdition=conditionalEvent.condition;
		}
	}
}
