package com.invoicing.services;

import com.invoicing.dtos.UserDTO;
import com.invoicing.exceptions.GenericServerException;


/**
 * The Interface UserServiceI encapsulates the user business methods.
 * 
 * @author Jose Carlos
 */
public interface UserServiceI {

	/**
	 * Authenticate.
	 * 
	 * @param userDTO
	 *            the user dto
	 * @return the user dto
	 * @throws GenericServerException
	 *             the generic server exception
	 */
	public UserDTO authenticate(UserDTO userDTO) throws GenericServerException;
}
