


CREATE TABLE addresses (
  address_id int(11) NOT NULL auto_increment,
  city varchar(255) default NULL,
  country varchar(255) default NULL,
  postcode varchar(255) default NULL,
  street varchar(255) default NULL,
  PRIMARY KEY  (address_id)
);
insert into addresses (city, country) values ('BarcelonaDB5', 'SpainDB5');

CREATE TABLE users (
  id int(11) NOT NULL auto_increment,
  userName varchar(30) default NULL,
  password varchar(30) default NULL,
  address_id int(11) default NULL,
  PRIMARY KEY  (id),
  KEY FK6A68E08F8D65571 (address_id),
  CONSTRAINT FK6A68E08F8D65571 FOREIGN KEY (address_id) REFERENCES addresses (address_id)
);
insert into user(name, password) values ('Jose Carlos','123');
commit;





CREATE TABLE invoice (
  ID int(11) NOT NULL auto_increment,
  DATE date NOT NULL,
  SALTO float default NULL,
  USER_ID int(11) NOT NULL,
  PRIMARY KEY  (ID),
  UNIQUE KEY ID (ID),
  UNIQUE KEY DATE (DATE),
  UNIQUE KEY DATE_2 (DATE),
  KEY FK74D6432D9D48C503 (USER_ID),
  CONSTRAINT FK74D6432D9D48C503 FOREIGN KEY (USER_ID) REFERENCES user (ID)
) ENGINE=InnoDB AUTO_INCREMENT=3 

CREATE TABLE user (
  ID int(11) NOT NULL auto_increment,
  NAME varchar(10) NOT NULL,
  PASSWORD varchar(20) NOT NULL,
  PRIMARY KEY  (ID),
  UNIQUE KEY ID (ID),
  UNIQUE KEY NAME (NAME),
  UNIQUE KEY PASSWORD (PASSWORD),
  UNIQUE KEY NAME_2 (NAME),
  UNIQUE KEY PASSWORD_2 (PASSWORD)
) ENGINE=InnoDB AUTO_INCREMENT=2 


INSERT INTO 'invoicing'.'invoice' (
'ID' ,
'DATE' ,
'P_COLLECTED' ,
'P_STEPS' ,
'P_SURCHARGES' ,
'P_TIME_ON' ,
'T_STEPS' ,
'USER_ID' 
)
VALUES (
NULL , '2011-11-30', '33.4', '14', '95.4', '10:20', '34', '1'
);

